Scilab Function
Last update : 16/06/2004

rat - approximation rationnelle d'un flottant

### Calling Sequence

  `[N,D]=rat(x [,tol])`
  `y=rat(x [,tol])`

### Parameters

- `x` : vecteur ou matrice réelle
- `n` : vecteur ou matrice d'entiers
- `d` : vecteur ou matrice d'entiers
- `y` : vecteur ou matrice réelle

### Description

`[N,D] = rat(x,tol)` renvoie deux matrices entières telles que `N./D` est proche de `x` au sens où `abs(N./D - X) <= tol*abs(x)`. Les approximations rationnelles sont obtenues par troncature d'un développement en fraction continue. `tol = 1.e-6*norm(X,1)` est la valeur de la tolérance par défaut. `y = rat(x,tol)` renvoie le quotient `N./D`

### Examples

    [n,d]=rat(%pi)
    [n,d]=rat(%pi,1.d-12)
    n/d-%pi

### See Also

`int`, `round`,